[MLton-commit] r4186

Stephen Weeks MLton@mlton.org
Wed, 9 Nov 2005 12:11:27 -0800


Added a script to replace calls to bash with calls to sh, for use on
MinGW where there is no bash.

----------------------------------------------------------------------

A   mlton/trunk/bin/patch-mingw

----------------------------------------------------------------------

Added: mlton/trunk/bin/patch-mingw
===================================================================
--- mlton/trunk/bin/patch-mingw	2005-11-09 03:56:08 UTC (rev 4185)
+++ mlton/trunk/bin/patch-mingw	2005-11-09 20:11:26 UTC (rev 4186)
@@ -0,0 +1,13 @@
+#!/usr/bin/env sh
+
+set -e
+
+dir=`dirname $0`
+
+for f in `find "$dir" -type f | grep -v '\.svn' | grep -v '~'`; do
+	if head -n 1 "$f" | grep -q '#!/usr/bin/env bash'; then
+		echo "Processing $f"
+		sed 's;#!/usr/bin/env bash;#!/usr/bin/env sh;' <$f >.tmp;
+		mv .tmp $f;
+	fi
+done


Property changes on: mlton/trunk/bin/patch-mingw
___________________________________________________________________
Name: svn:executable
   + *